{-# LANGUAGE PackageImports #-}
{-# LANGUAGE MultiParamTypeClasses #-}

module Types.Orphans where

import qualified "mateamt" Types as MT

import GHC.Generics

import Text.Blaze

import Text.Read (readEither)

import qualified Data.Text as T

import Servant.API
import Servant.HTML.Blaze
import Web.Internal.FormUrlEncoded

instance MimeUnrender HTML MT.UserSubmit
instance FromForm MT.UserSubmit

instance MimeUnrender HTML MT.UserDetailsSubmit
instance FromForm MT.UserDetailsSubmit
